# 4. Užklausa: gauti apibrėžtą „PalydovinisVaizdas“

Gaukite apibrėžtą „SatelliteImage“ už „Field“.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldSatelliteImagesViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    pavadinimas
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      pavadinimas
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        cloudFreeLand
        geoŽemėlapiai {
          trumpasPavadinimas
          url
          klasės
          hexSpalvųKodai
        }
        ndviAverage
        
        statistika {
          indeksas
          min
          max
          avg
          mdn
          var
          std
        }
        
        rekomenduojamaDaugiameteiAnalitikai 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldSatelliteImagesViaGetFields {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      pavadinimas
      satelliteImages (satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid_1>", "<placeholder_of_satelliteimage_uuid_2>"])  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoŽemėlapiai {
          trumpasPavadinimas
          url
          klasės
          hexSpalvųKodai
        }
        ndviAverage
        
        statistika {
          indeksas
          min
          max
          avg
          mdn
          var
          std
        } 
        
        rekomenduojamaDaugiameteiAnalitikai
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/4.-uzklausa-gauti-apibrezta-palydovinisvaizdas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
